Class | Bio::FlatFileIndex::BDB_1::SecondaryNameSpace
In: | lib/bio/io/flatfile/bdb.rb
Parent: | Template::NameSpace

### Methods

filename mapping search

### Public Instance methods

filename()

[Source]

         # File lib/bio/io/flatfile/bdb.rb, line 234
    234:         def filename
    235:           File.join(dbname, "id_#{name}")
    236:         end

mapping(filename)

[Source]

         # File lib/bio/io/flatfile/bdb.rb, line 231
    231:         def mapping(filename)
    232:           BDBMappingFile.new(filename)
    233:         end

search(key)

[Source]

         # File lib/bio/io/flatfile/bdb.rb, line 238
    238:         def search(key)
    239:           r = super(key)
    240:           file.close
    241:           r
    242:         end

[Validate]